Last modified: 2013-09-04 21:25:15 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46301 - Notice: Undefined property: CentralAuthUser::$mHomeWiki
Notice: Undefined property: CentralAuthUser::$mHomeWiki
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
master
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-03-19 00:14 UTC by Chris Steipp
Modified: 2013-09-04 21:25 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Chris Steipp 2013-03-19 00:14:19 UTC
Get a notice about CentralAuthUser::$mHomeWiki on CentralAuthUser.php line 815 frequently.

Not hurting anything, just annoying.
Comment 1 spage 2013-08-10 03:17:00 UTC
I got this running `php maintenance/migratePass1.php` on two local wikis configured for "Simulating SUL2 behavior on a single-instance development machine" per  https://www.mediawiki.org/wiki/Extension:CentralAuth ; I had not noticed this error until now.

The notice is now on line 833 in method attemptAutoMigration, where it is logging
   "Singleton migration for '$this->mName' on " . $this->mHomeWiki );
It looks like attemptAutoMigration() should be setting mHomeWiki to chooseHomeWiki(), but I put a debug print in the latter and it wasn't called before PHP warns.

The debug.log "[CentralAuth] Attaching local user Foo bar@testwiki by 'primary'" always has an '@testwiki' in it, so seems to figure out the user's wiki fine.  "Just annoying" indeed.
Comment 2 Gerrit Notification Bot 2013-08-22 00:44:55 UTC
Change 80325 had a related patch set uploaded by Mattflaschen:
Cache a variable locally before it is reset on the instance

https://gerrit.wikimedia.org/r/80325
Comment 3 Gerrit Notification Bot 2013-08-26 21:18:01 UTC
Change 80325 merged by jenkins-bot:
Cache a variable locally before it is reset on the instance

https://gerrit.wikimedia.org/r/80325
Comment 4 Chris Steipp 2013-09-04 21:25:15 UTC
This is no longer showing up on my test install, so I think it's fixed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links